From fa8021c8fdef979f8ad217bfeef226faab418d58 Mon Sep 17 00:00:00 2001
From: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
Date: Mon, 12 Dec 2011 21:14:38 +0400
Subject: [PATCH] dtc: provide libfdt-dev package containing libfdt headers
 and static lib

Signed-off-by: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
---
 debian/changelog                           |    7 +++++++
 debian/control                             |   10 ++++++++++
 debian/{dirs => device-tree-compiler.dirs} |    0
 debian/libfdt-dev.dirs                     |    2 ++
 debian/rules                               |    3 +++
 5 files changed, 22 insertions(+), 0 deletions(-)
 rename debian/{dirs => device-tree-compiler.dirs} (100%)
 create mode 100644 debian/libfdt-dev.dirs

diff --git a/debian/changelog b/debian/changelog
index 94d8e15..62723a7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+device-tree-compiler (1.3.0-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Provide libfdt-dev package with libfdt development files (Closes: #477565)
+
+ -- Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>  Mon, 12 Dec 2011 21:10:23 +0400
+
 device-tree-compiler (1.3.0-1) unstable; urgency=low
 
   * New upstream release. (Closes: #572945)
diff --git a/debian/control b/debian/control
index 8fe0b2e..f89d9c1 100644
--- a/debian/control
+++ b/debian/control
@@ -14,3 +14,13 @@ Depends: ${shlibs:Depends}
 Description: OpenFirmware Device Tree Compiler for Flat Device Trees
  This tool compiles device-tree descriptions for booting PowerPC
  kernels on embedded systems without OpenFirmware.
+
+Package: libfdt-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Flat Device Trees manipulation library
+ This is a library containing functions for manipulating Flat Device Trees.
+ .
+ As the libfdt API are neither declared stable nor promised to be backwards
+ compatible, only static version of the library is provided.
diff --git a/debian/dirs b/debian/device-tree-compiler.dirs
similarity index 100%
rename from debian/dirs
rename to debian/device-tree-compiler.dirs
diff --git a/debian/libfdt-dev.dirs b/debian/libfdt-dev.dirs
new file mode 100644
index 0000000..da07fdd
--- /dev/null
+++ b/debian/libfdt-dev.dirs
@@ -0,0 +1,2 @@
+usr/include
+usr/lib
diff --git a/debian/rules b/debian/rules
index 2eba1c4..484c486 100755
--- a/debian/rules
+++ b/debian/rules
@@ -41,6 +41,9 @@ install: build
 	dh_prep
 	dh_installdirs
 	install -m755 dtc $(CURDIR)/debian/device-tree-compiler/usr/bin
+	install -m644 libfdt/libfdt.h libfdt/libfdt_env.h libfdt/fdt.h \
+			$(CURDIR)/debian/libfdt-dev/usr/include
+	install -m644 libfdt/libfdt.a $(CURDIR)/debian/libfdt-dev/usr/lib
 	touch install-stamp
 
 # Build architecture-independent files here.
-- 
1.7.7.3

